package org.robotlegs.eventmaptest
{
	import flash.display.Loader;
	import flash.events.Event;
	import flash.events.TimerEvent;
	import flash.net.URLRequest;
	import flash.utils.Timer;
	
	import org.robotlegs.mvcs.Actor;
	
	public class TestActor extends Actor
	{
		protected var timer:Timer = new Timer(1000);
		protected var loader:Loader = new Loader();
		
		public function doStuff():void
		{
			eventMap.mapListener(timer, TimerEvent.TIMER, handleTimer);
			eventMap.mapListener(loader.contentLoaderInfo, Event.COMPLETE, handleComplete);
			timer.start();
		}
		
		public function loadStuff():void
		{
			loader.load(new URLRequest("http://www.robotlegs.org/images/rl-header-logo-310-253.png"));
		}
		
		protected function handleComplete(event:Event):void
		{
			trace("YEEEEEHAWWW LOADED AND TIMER COUNT IS:", timer.currentCount);
		}
		
		protected function handleTimer(event:Event):void
		{
			trace("word up " + timer.currentCount + " times.");
			dispatch(new Event("LOAD_AGAIN"));
		}
	}
}